LogicException
OutOfRangeException
Exceptions
PHP Manual

# La classe OutOfBoundsException

## Introduction

Exception émise quand une valeur n'est pas une clé valide

## Synopsis de la classe

OutOfBoundsException
OutOfBoundsException extends RuntimeException {
/* Méthodes héritées */
final public string Exception::getMessage ( void )
final public Exception Exception::getPrevious ( void )
final public int Exception::getCode ( void )
final public string Exception::getFile ( void )
final public int Exception::getLine ( void )
final public array Exception::getTrace ( void )
final public string Exception::getTraceAsString ( void )
public string Exception::__toString ( void )
final private void Exception::__clone ( void )
}

LogicException
OutOfRangeException
Exceptions
PHP Manual